Bug 1311535 - unable to create new activities with the user interface
unable to create new activities with the user interface
Product: Fedora
Classification: Fedora
Component: kf5-kactivities (Show other bugs)
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2016-02-24 07:24 EST by trekrek
Modified: 2016-12-20 13:59 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-12-20 13:59:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 362748 None None None 2016-05-06 10:08 EDT

  None (edit)
Description trekrek 2016-02-24 07:24:01 EST
Description of problem:
unable to create new activities with the ui

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. run "kcmshell5 kcm_activities"
2. click on "Create Activity"

Actual results:
the "Create New Activity" window appear behind the kcm_activities main window and you can't interact with it (so you can't create the new activity)

Expected results:
"Create New Activity" should open on top of the main window and you must be able to interact with it

Additional info:
"kcmshell5 kcm_activities" prints those two errors immediately after it is opened:
file:///usr/share/kf5/kactivitymanagerd/workspace/settings//qml/privacyTab/BlacklistApplicationView.qml:28:5: QML Flow: Binding loop detected for property "width"
file:///usr/share/kf5/kactivitymanagerd/workspace/settings//qml/privacyTab/BlacklistApplicationView.qml:28:5: QML Flow: Binding loop detected for property "width"

after clicking on "Create Activity" also those errors appears:
QMetaObject::invokeMethod: No such method GeneralTab_QMLTYPE_106::load()
file:///usr/share/kf5/kactivitymanagerd/workspace/settings//qml/activityDialog/OtherTab.qml:33: ReferenceError: content is not defined
file:///usr/share/kf5/kactivitymanagerd/workspace/settings//qml/activityDialog/OtherTab.qml:32: ReferenceError: content is not defined
QMetaObject::invokeMethod: No such method OtherTab_QMLTYPE_154::load()
qml: GeneralTab: Set focus called

The window to edit an existing activity work as expected (it seems to be the same window so I assume that the code is shared).
Comment 1 trekrek 2016-05-06 09:16:42 EDT
the bug is still present on the newest package (5.21.0).
Comment 2 Rex Dieter 2016-05-06 09:31:19 EDT
Please re-test with plasma-5.6.2
Comment 3 trekrek 2016-05-06 09:42:05 EDT
still present with plasma-5.6.2 (already tried with a new user)
Comment 4 Rex Dieter 2016-05-06 09:46:42 EDT
Pretty sure this has to be an upstream problem at this point, I can reproduce on f24 too.

Mind opening something @ bugs.kde.org ?
Comment 5 trekrek 2016-05-06 10:07:43 EDT
https://bugs.kde.org/show_bug.cgi?id=362748 opened
Comment 6 Rex Dieter 2016-05-06 13:30:27 EDT
Comment 7 trekrek 2016-09-19 02:16:41 EDT
fixed upstream. The fix is already in the repositories (plasma 5.7.5).
Comment 8 Fedora End Of Life 2016-11-24 10:44:34 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Fedora End Of Life 2016-12-20 13:59:28 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.